Redmine does not work with browser back/forward buttons

2011-07-10 08:23 PM - Alister Hood

Status: Closed

Priority: High

Assignee:

Category:

Pull Request or Patch supplied:No

Description

When a user performs a search on redmine and there are multiple pages of results, the user can only navigate through these pages using

the Next/Previous links on the page.  If they forget this and try to use their browser back/forward buttons, then they are taken back to the

first results page, or sometimes to the page they were on before they performed the search.

This can be a major annoyance to people trying to check if something has already been reported.

Even worse, in Internet Explorer, if they click on one of the results and then use their browser back button they are (sometimes?) taken

back to the page they were on before they performed the search.

Are these upstream issues, or problems with the configuration on this site?

History

#1 - 2011-11-25 05:18 AM - Pirmin Kalberer

- Pull Request or Patch supplied set to No

- Status changed from Open to Closed

This is a Redmine behaviour which can't be changed, sorry.

#2 - 2011-11-29 06:15 PM - Alister Hood

Hmmm.  It works fine at the Redmine demo (http://demo.redmine.org).

So maybe something is not configured right here, or maybe there's a newer version with it fixed.

A pity I can't reopen this :(
